Require Import connectives.
Require Import leibniz.
Require Import nat.
Parameter exp : nat.nat -> nat.nat -> nat.nat.
Parameter exp_body : nat.nat -> nat.nat -> nat.nat.
Axiom axiom_exp : forall (n:nat.nat), forall (m:nat.nat), connectives.equal (nat.nat) (exp n m) (nat.filter_nat_type (nat.nat) (exp_body n) m).
Definition eq_exp : forall (n:nat.nat), forall (m:nat.nat), leibniz.leibniz (nat.nat) (exp n m) (nat.filter_nat_type (nat.nat) (exp_body n) m) := fun (n:nat.nat) => fun (m:nat.nat) => ((((connectives.equal_leibniz) (nat.nat)) (exp n m)) (nat.filter_nat_type (nat.nat) (exp_body n) m)) (((axiom_exp) (n)) (m)).
